Bug 691451 - Rebuild required to work correctly with perl 5.012003.
Summary: Rebuild required to work correctly with perl 5.012003.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Devel-Cover
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-28 15:15 UTC by Daniel Berrangé
Modified: 2011-04-06 22:36 UTC (History)
2 users (show)

Fixed In Version: perl-Devel-Cover-0.66-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-06 22:36:00 UTC


Attachments (Terms of Use)

Description Daniel Berrangé 2011-03-28 15:15:30 UTC
Description of problem:
Any attempt to use perl-Devel-Cover in fully updated Fedora 14, results in a warning printed

  This version of Devel::Cover was built with Perl version 5.012000.
  It is now being run with Perl version 5.012003.
  Attempting to make adjustments, but you may find that some of your modules do
  not have coverage data collected.  You may need to alter the +-inc, +-ignore
  and +-select options.

At the very least, this is obscuring real problems with doing coverage testing of unit tests, but is also causing potentially incorrect results.

A simple rebuild of the RPM should solve it.

Version-Release number of selected component (if applicable):
perl-5.12.3-141.fc14.x86_64
perl-Devel-Cover-0.66-1.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1.$ perl -MDevel::Cover -e ''
2.
3.
  
Actual results:
This version of Devel::Cover was built with Perl version 5.012000.
It is now being run with Perl version 5.012003.
Attempting to make adjustments, but you may find that some of your modules do
not have coverage data collected.  You may need to alter the +-inc, +-ignore
and +-select options.



Expected results:
No warning about incompatible versions

Additional info:

Comment 1 Fedora Update System 2011-03-28 19:33:18 UTC
perl-Devel-Cover-0.66-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Devel-Cover-0.66-2.fc14

Comment 2 Fedora Update System 2011-03-29 19:51:26 UTC
Package perl-Devel-Cover-0.66-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Devel-Cover-0.66-2.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Devel-Cover-0.66-2.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-04-06 22:35:55 UTC
perl-Devel-Cover-0.66-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.